{-# LANGUAGE DeriveDataTypeable #-}

-- | A newtype around the DNS query timeout, in seconds. Needed for
--   the 'Default' instance.
--
module Timeout (Timeout(..))
where

import Data.Data (Data)
import System.Console.CmdArgs.Default (Default(def))

newtype Timeout =
  Timeout { seconds :: Int }
  deriving (Data, Show)

instance Default Timeout where
  def = Timeout 15
